chgDefaults-methods {robustbase} | R Documentation

## Change Defaults (Parameters) of "Psi Function" Objects

### Description

To modify an object of class `psi_func`, i.e. typically change the tuning parameters, the generic function `chgDefaults()` is called and works via the corresponding method.

### Methods

`object = "psi_func"`

  The method is used to change the default values for the tuning parameters, and returns an object of class `psi_func`, a copy of input `object` with the slot `tDefs` possibly changed;.

### See Also

`psiFunc`

### Examples

    ## Hampel's psi and rho:
    H.38 <- chgDefaults(hampelPsi, k = c(1.5, 3.5, 8))
    H.38
    plot(H.38)
    ## for more see  ?psiFunc

[Package robustbase version 0.92-8 Index]